qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cyril elkaim <cyr...@gmail.com>
Subject Which version of the Python libraries should I use?
Date Fri, 19 Aug 2011 10:05:07 GMT
Hello,

I'm new to Apache QPID and I'm warming up on it. My question seems silly but
i've found two versions of the Python libs. The first one built using the
C++ bindings and the one found in /qpid/python/ and /qpid/extras/.

I understand that if I want to use the Python management tools I need to
installed the pure Python version of the libraries. But if I want to use
QMF2 I need to use the C++ bindings version, is it correct?

My concern is to know which version to use for future development, are the
two versions continually maintained or do I need to stick with the Python,
or the C++, version?

BTW I've noted the C++ bindings are installed into the 'old' directory
/site-packages/ and the pure Python one into the 'new' /dist-packages/
directory. Seeing that and by browsing the API documentation it seems to me
that the pure Python is the future, is it correct too?


Thanks in advance,

Cyril Elkaim
www.wallix.com

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message